cURL
curl --request GET \
--url https://{tenant}.stamp.eu/rest/employees/{employee} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}.stamp.eu/rest/employees/{employee}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.stamp.eu/rest/employees/{employee}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"surname": "<string>",
"gender": "<string>",
"birthday": "<string>",
"working_hours": "<string>",
"vacation_days": 123,
"employed_start": "<string>",
"employed_end": "<string>",
"position": "<string>",
"avatar_url": "<string>",
"private_email": "<string>",
"phone": "<string>",
"emergency_contact_name": "<string>",
"emergency_contact_relation": "<string>",
"emergency_contact_phone": "<string>",
"active": "<string>",
"uses_projects": "<string>",
"reference_no": "<string>",
"salary_type_work": "<string>",
"salary_type_overtime": "<string>",
"include_in_export": "<string>",
"time_account_enabled": "<string>",
"weekly_hours_limit": "<string>",
"holiday_auto_compensation": "<string>",
"latest_overtime_account": [
"<unknown>"
],
"created_at": "<string>",
"updated_at": "<string>",
"unit": {
"id": "<string>",
"name": "<string>",
"parent_id": "<string>",
"permissions": {},
"created_at": "<string>",
"updated_at": "<string>",
"children": "<array>"
},
"location": {
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"address": "<string>",
"address_additional": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state_region": "<string>",
"country": "<string>",
"timezone": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"holidays": [
{
"id": "<string>",
"name": "<string>",
"is_system": "<string>",
"source_key": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"entries": [
{
"id": "<string>",
"date": "<string>",
"name": "<string>",
"half_day": "<string>"
}
]
}
],
"employees_count": 123
},
"department": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"cost_center": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"email": "<string>",
"locale": "<string>",
"role": "<string>",
"role_display_name": "<string>",
"work_area_ids": [
"<unknown>"
],
"onboarding": {
"has_reference_no": true,
"has_email": true,
"has_schedule_model": true,
"has_holiday_calendar": true,
"has_payroll_data": true
}
}
}{
"message": "<string>"
}{
"message": "Forbidden."
}{
"message": "<string>"
}Mitarbeitende
Mitarbeitende abrufen
GET
/
employees
/
{employee}
cURL
⌘I